MacMAME is more than 2 years out of date now, so any ROMs you find will likely not match it (ROMs change as MAME does for various reasons). If you are using Mac OS X, there's a new version of MAME called MAME OS X which will work better with up to date ROMs.